### File

`packages/components/eui-card/components/eui-card-header/eui-card-header.component.ts`

### Description

The eui-card-header component provides the header options of the eui-card.

Example :

    <eui-card>
        <eui-card-header>
            <eui-card-header-title>
                Card header title
            </eui-card-header-title>
            <eui-card-header-subtitle>
                Card header sub-title
            </eui-card-header-subtitle>
            <eui-card-header-left-content>
                Card header left content
            </eui-card-header-left-content>
            <eui-card-header-right-content>
                Card header right content
            </eui-card-header-right-content>
        </eui-card-header>
        <eui-card-content>
            Card content
        </eui-card-content>
    </eui-card>

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-card-header`
imports | `NgTemplateOutlet` `AsyncPipe` `EUI_ICON` `EUI_ICON_BUTTON_EXPANDER`
templateUrl | `./eui-card-header.component.html`
styleUrl | `./eui-card-header.scss`

### Index

###### Properties

- uiStateService

###### Methods

- Public onClick
- Public onToggle

###### Inputs

- collapseLabel
- expandLabel
- hasBottomExpander
- hasFullTitle
- isClickeable
- isHeaderMultilines

###### Outputs

- collapse
- headerClick

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

collapseLabel
Type : `string`
Default value : `'collapse'`
Sets the collapseLabel Input property.

expandLabel
Type : `string`
Default value : `'expand'`
Sets the expandLabel Input property.

hasBottomExpander
Type : `boolean`
Default value : `false`
Input property to expand the bottom part of the card header.

hasFullTitle
Type : `boolean`
Default value : `false`
Input property to display the title within the full card container's width.

isClickeable
Type : `boolean`
Default value : `false`
Input property to make the card clickeable

isHeaderMultilines
Type : `boolean`
Default value : `false`
Input property to display the title & subtitle content in multiple lines.

### Outputs

collapse
Type : `EventEmitter`
Event emitted when the card header collapses.

headerClick
Type : `EventEmitter<EuiCardHeaderComponent>`
Event emitted when the card collapses.

### HostBindings

class
Type : `string`
Binds the class to the component.

### Methods

Public onClick
`onClick()`
Returns : `void`

Public onToggle
`onToggle(event: Event)`

Fires when the icon button expander is clicked/pressed to expand/collapse the bottom expander.

Parameters :

Name | Type | Optional | Description
event | `Event` | No | The event that fires the toggle.

Returns : `void`

### Properties

uiStateService
Type : `unknown`
Default value : `inject(UiStateService)`

### Accessors

cssClasses
get `cssClasses()`
Binds the class to the component. Returns : `string`

# results matching ""

# No results matching ""